Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
rb_strterm_literal_struct Struct Reference

## Data Fields
union {
VALUE dummy
long nest
} | u0
union {
VALUE dummy
long func
} | u1
union {
VALUE dummy
long paren
} | u2
union {
VALUE dummy
long term
} | u3
union {
VALUE dummy
long nest
} | u0
union {
VALUE dummy
long func
} | u1
union {
VALUE dummy
long paren
} | u2
union {
VALUE dummy
long term
} | u3

## Detailed Description

Definition at line 710 of file ripper.c.

## Field Documentation

## ◆ dummy

VALUE rb_strterm_literal_struct::dummy

Definition at line 712 of file ripper.c.

## ◆ func

long rb_strterm_literal_struct::func

Definition at line 717 of file ripper.c.

## ◆ nest

long rb_strterm_literal_struct::nest

Definition at line 713 of file ripper.c.

## ◆ paren

long rb_strterm_literal_struct::paren

Definition at line 721 of file ripper.c.

## ◆ term

long rb_strterm_literal_struct::term

Definition at line 725 of file ripper.c.

## ◆ u0 [1/2]

union { ... } rb_strterm_literal_struct::u0

## ◆ u0 [2/2]

union { ... } rb_strterm_literal_struct::u0

## ◆ u1 [1/2]

union { ... } rb_strterm_literal_struct::u1

## ◆ u1 [2/2]

union { ... } rb_strterm_literal_struct::u1

## ◆ u2 [1/2]

union { ... } rb_strterm_literal_struct::u2

## ◆ u2 [2/2]

union { ... } rb_strterm_literal_struct::u2

## ◆ u3 [1/2]

union { ... } rb_strterm_literal_struct::u3

## ◆ u3 [2/2]

union { ... } rb_strterm_literal_struct::u3

The documentation for this struct was generated from the following files:

- ext/ripper/ripper.c
- parse.c